- Erste Schritte
- Authentication
- Scopes und Berechtigungen
- Plattformverwaltungs-APIs

Test Cloud-API-Handbuch
Bestimmtes Roboterkonto abrufen
Gibt Informationen über ein Roboterkonto zurück, basierend auf der Organisation und der Roboterkonto-ID.
API-Endpunkt
GET {accessURL}/{organizationName}/identity_/api/RobotAccount/{partitionGlobalId}/{robotAccountId}
Ersetzen Sie {accessURL} in allen Endpunktpfaden durch die Basis-URL für Ihre Cloud-Plattform:
| Cloud Platform | Zugriffs-URL |
|---|---|
| Test Cloud | https://cloud.uipath.com/ |
| Test Cloud Public Sector | https://govcloud.uipath.us/ |
| Test Cloud Dedicated. | https://{customURL}.dedicated.uipath.com/ |
Scopes
Folgende Scopes sind erforderlich:
- PM.RobotAccount
- PM.RobotAccount.Read
Anforderungsheader
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
Um das {access_token} zu erhalten, müssen Sie sich mit einer der hier beschriebenen Methoden authentifizieren.
Pfadparameter
| Pfadparameter | Datentyp | Beschreibung |
|---|---|---|
partitionGlobalId (erforderlich) | String | Die ID der Organisation, die die gewünschte Gruppe enthält. |
robotAccountID (erforderlich) | String | Die ID des Roboterkontos, das Sie abrufen wollen. |
Antworten
200 OK
Die angegebenen Roboterkontoinformationen werden zurückgegeben, z. B. Name, Erstellungszeit und die Gruppen-IDs, zu denen das Konto gehört.
Beispielanforderung
Angenommen, Sie haben alle Informationen gesammelt, die zum Erstellen des API-Aufrufs erforderlich sind.
- Ihre
{baseURL}ist: https://cloud.uipath.com/{organizationName}/identity_ - Ihre
{access_token}ist:1234(aus Gründen der Länge). - Die
{partitionGlobalId}lautet:3fa85f64-5717-4562-b3fc-2c963f66afa6 - Die
{robotAccountID}lautet:33-ab
Der Aufruf sollte dem folgenden Beispiel ähneln (cURL):
curl --location --request GET 'https://cloud.uipath.com/{organizationName}/identity_/api/RobotAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/33-ab' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
curl --location --request GET 'https://cloud.uipath.com/{organizationName}/identity_/api/RobotAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/33-ab' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
Hier ist der Antworttext für einen erfolgreichen Aufruf:
{
"id": "33-ab",
"name": "Bot3",
"displayName": "Bot3",
"creationTime": "2021-10-19T14:25:01.6574988",
"lastModificationTime": "2021-10-19T14:25:01.6574988",
"groupIds": [
"4d161738-7204", "ce684f6f-5af3"
]
}
{
"id": "33-ab",
"name": "Bot3",
"displayName": "Bot3",
"creationTime": "2021-10-19T14:25:01.6574988",
"lastModificationTime": "2021-10-19T14:25:01.6574988",
"groupIds": [
"4d161738-7204", "ce684f6f-5af3"
]
}